plot.ppr {stats} | R Documentation

## Plot Ridge Functions for Projection Pursuit Regression Fit

### Description

Plot the ridge functions for a projection pursuit regression (`ppr`) fit.

### Usage

    ## S3 method for class 'ppr'
    plot(x, ask, type = "o", cex = 1/2,
         main = quote(bquote(
             "term"[.(i)]*":" ~~ hat(beta[.(i)]) == .(bet.i))),
         xlab = quote(bquote(bold(alpha)[.(i)]^T * bold(x))),
         ylab = "", ...)

### Arguments

`x` | an R object of class `"ppr"` as produced by a call to `ppr`.
`ask` | the graphics parameter `ask`: see `par` for details. If set to `TRUE` will ask between the plot of each cross-section.
`type` | the type of line (see `plot.default`) to draw.
`cex` | plot symbol expansion factor (relative to `par("cex")`).
`main, xlab, ylab` | axis annotations, see also `title`. Can be an expression (depending on `i` and `bet.i`), as by default which will be `eval()`uated.
`...` | further graphical parameters, passed to `plot()`.

### Value

None

### Side Effects

A series of plots are drawn on the current graphical device, one for each term in the fit.

### See Also

`ppr`, `par`

### Examples

    require(graphics)

    rock1 <- within(rock, { area1 <- area/10000; peri1 <- peri/10000 })
    par(mfrow = c(3,2)) # maybe: , pty = "s"
    rock.ppr <- ppr(log(perm) ~ area1 + peri1 + shape,
                    data = rock1, nterms = 2, max.terms = 5)
    plot(rock.ppr, main = "ppr(log(perm)~ ., nterms=2, max.terms=5)")
    plot(update(rock.ppr, bass = 5), main = "update(..., bass = 5)")
    plot(update(rock.ppr, sm.method = "gcv", gcvpen = 2),
         main = "update(..., sm.method=\"gcv\", gcvpen=2)")

[Package stats version 3.6.0 Index]